Bug 236555 - graphics/openjump: Update to 1.14.1
Summary: graphics/openjump: Update to 1.14.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Koichiro Iwao
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-15 17:40 UTC by Rainer Hurling
Modified: 2019-03-20 08:58 UTC (History)
2 users (show)

See Also:


Attachments
Patch to update graphics/openjump from 1.13 to 1.14.1 (2.71 KB, patch)
2019-03-15 17:40 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff
Corrected patch for graphics/openjump (10.62 KB, patch)
2019-03-20 06:20 UTC, Rainer Hurling
rhurlin: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Hurling freebsd_committer 2019-03-15 17:40:48 UTC
Created attachment 202885 [details]
Patch to update graphics/openjump from 1.13 to 1.14.1

The update of graphics/openjump from version 1.13 to 1.14.1 release rev. 6147 brings important bugfixes and new features[1]:

  Some of the many new features and improvements
  * CORE source is now java 8
  * general java 11 runtime compatibility
  * Add an option to connect to a WMS with invalid certificate
  * Improve LayerView naming and saving, allow views based on view
  * Added LegendPlugin to display a legend of symbols adopted into the view 
  * PLUS: Added OpenKLEM extension for topographic and Hydrological analysis
  * Added histogram plugin for raster which calculates
    also statistic indices, relative and cumulative frequancies



Tested on Poudriere with HEADa+i, 12.0a+i and 11.24a+i.

Also, 'portlint -AC' seems almost happy (little problem with USES under list of LICENSES).


[1] https://sourceforge.net/projects/jump-pilot/files/OpenJUMP/1.14.1/
Comment 1 Koichiro Iwao freebsd_committer 2019-03-19 01:02:10 UTC
Your patch fails in patch phase.

=======================<phase: patch          >============================
===>  Patching for OpenJUMP-1.14.1
===>  Applying FreeBSD patches for OpenJUMP-1.14.1
1 out of 13 hunks failed--saving rejects to bin/oj_linux.sh.rej
=> FreeBSD patch patch-bin_oj__linux.sh failed to apply cleanly.
*** Error code 1

Stop.
make: stopped in /usr/ports/graphics/openjump
build of graphics/openjump | OpenJUMP-1.14.1 ended at Tue Mar 19 10:01:38 JST 2019
build time: 00:00:02
!!! build failure encountered !!!
[00:00:07] Error: Build failed in phase: patch
[00:00:07] Cleaning up
[00:00:07] Unmounting file systems
Comment 2 Rainer Hurling freebsd_committer 2019-03-20 06:20:20 UTC
Created attachment 202995 [details]
Corrected patch for graphics/openjump

Oops, I am sorry. For some reason, the diff did not include the changes from files/patch-bin_oj__linux.sh. This should be corrected now.
Comment 3 commit-hook freebsd_committer 2019-03-20 08:55:16 UTC
A commit references this bug:

Author: meta
Date: Wed Mar 20 08:55:03 UTC 2019
New revision: 496320
URL: https://svnweb.freebsd.org/changeset/ports/496320

Log:
  graphics/openjump: Update to 1.14.1

  The update of graphics/openjump from version 1.13 to 1.14.1 release rev.
  6147 brings important bugfixes and new features[1]:

    Some of the many new features and improvements
    * CORE source is now java 8
    * general java 11 runtime compatibility
    * Add an option to connect to a WMS with invalid certificate
    * Improve LayerView naming and saving, allow views based on view
    * Added LegendPlugin to display a legend of symbols adopted into the view
    * PLUS: Added OpenKLEM extension for topographic and Hydrological analysis
    * Added histogram plugin for raster which calculates
      also statistic indices, relative and cumulative frequancies

  [1] https://sourceforge.net/projects/jump-pilot/files/OpenJUMP/1.14.1/

  PR:		236555
  Submitted by:	Rainer Hurling <rhurlin@gwdg.de>  (maintainer)

Changes:
  head/graphics/openjump/Makefile
  head/graphics/openjump/distinfo
  head/graphics/openjump/files/patch-bin_oj__linux.sh
  head/graphics/openjump/pkg-plist
Comment 4 Koichiro Iwao freebsd_committer 2019-03-20 08:58:02 UTC
Committed, thanks!